let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const upsertWallAssetApi = async (
    projectId: string,
    versionId: string,
    wallAssetData: WallAsset
) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/wall-asset`, {
            method: "POST",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ projectId, versionId, wallAssetData }),
        });

        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            echo.error("Failed to upsert wall asset");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to upsert wall asset");
    }
};
